Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_GenericFactory.h File Reference

`#include "ace/config-all.h"`
`#include "PG_Factory_Map.h"`
`#include "portablegroup_export.h"`
`#include "tao/PortableServer/PortableServerC.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for PG_GenericFactory.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_PG_GenericFactory
| PortableGroup::GenericFactory implementation used by the load balancer when creating object groups. More...

## Detailed Description

Id:
  PG_GenericFactory.h,v 1.17 2004/01/02 20:16:11 elliott_c Exp

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>